Dialog buttons initially disabled are blank (empty "label")

VERIFIED WORKSFORME

Status

()

VERIFIED WORKSFORME
18 years ago
10 years ago

People

(Reporter: bobj, Assigned: trudelle)

Tracking

Trunk
mozilla0.9.1
x86
Windows 95
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(3 attachments)

(Reporter)

Description

18 years ago
If you popup the spellcheck dialog on an empty document, several of the dialog
buttons have no labels.  If the document has some text, the buttons labels
appear correctly.

This has been extracted from bug 70413 to create a new bug.

Comment 1

18 years ago
This should be simple (will know after my build is finished) and should be
fixed asap.
Status: NEW → ASSIGNED
Summary: spellcheck dialog buttons are blank → spellcheck dialog buttons are blank when document is empty
Target Milestone: --- → mozilla0.9.1
(Reporter)

Comment 2

18 years ago
Created attachment 30153 [details]
image showing blank dialog buttons

Comment 3

18 years ago
I can't reproduce this with my 4/9/01 debug build.
Paul and editor QA guys: Can any of you?
Any problems in any other dialogs?

Component: Themes → Editor

Comment 4

18 years ago
I'll check it out...
QA Contact: pmac → sujay

Comment 5

18 years ago
not seen on my NT (today's build 0409)
(Reporter)

Comment 6

18 years ago
I still see it with trunk build 2001040904 on US Win95.
(Reporter)

Comment 7

18 years ago
BTW, today's (4/9) results look the same as the image already attached from
last week

Comment 8

18 years ago
Sujay? What about platforms or Windows versions other than Win95?
Note the the buttons not showing up have the "disabled" attribute set "true"
during dialog startup. The text on these buttons is set in XUL, and we have
plenty of other dialogs that have disabled buttons, so this problem is quite
mysterious!

Comment 9

18 years ago
I see "Close" and "Recheck" buttons when doc is empty on Mac and Win.

Why should the rest of the buttons have labels if there is no text
in doc?

Comment 10

18 years ago
Of course they should have labels! They are simply disabled (grayed text labels).

Comment 11

18 years ago
okay I see labels....then I guess its working...

Comment 12

18 years ago
Which OS? Please test all.
(Reporter)

Comment 13

18 years ago
With today's trunk build 2001040904 on US Win95, I found 2 additional
dialogs which seem to be having the same problem.

In mail, two dialogs from Edit|Mail/News Account Settings... panel have
blank buttons.  In the "Local Folders" and the "Outgoing Server (SMTP)"
dialogs, the 2 bottom buttons on the left side are blank.  I's assuming
they should be dimmed and disabled with labels: "Set As Default" and
"Remove Account".

I'll attach images.

Comment 14

18 years ago
Bob, can you retry with new profile ? thanks.
(Reporter)

Comment 15

18 years ago
Created attachment 30187 [details]
other dialogs with blank buttons
(Reporter)

Comment 16

18 years ago
Created attachment 30189 [details]
other dialogs with blank buttons (2nd try)
(Reporter)

Comment 17

18 years ago
Ignore attachment from 04/09/01 16:24.  Something got corrupted.
It worked on the next try, so look at the attachment from 04/09/01 16:29.
(Reporter)

Comment 18

18 years ago
Responding to sujay's 2001-04-09 16:14  comment:

Created new profile and reproduced blank buttons in the spellcheck,
the "Mail/News Account Settings...|Local Folders" and the "Mail/News Account 
Settings...|Outgoing Server (SMTP)" dialogs.

Still running trunk build 2001040904 on US Win95.

Comment 19

18 years ago
Obviously it's not an editor or module-specific problem, but a XPFE or themes
problem.
Let's start with XPFE.
Joe Hewitt: See anything like this today?
Assignee: cmanske → trudelle
Status: ASSIGNED → NEW

Comment 20

18 years ago
Changing summary
Component: Editor → XP Toolkit/Widgets: XUL
Summary: spellcheck dialog buttons are blank when document is empty → Dialog buttons initially disabled are blank (empty "label")

Comment 21

18 years ago
I don't see this in my 4/9 build

Comment 22

18 years ago
qa_contact = jrgm...cc myself.
QA Contact: sujay → jrgm

Comment 23

18 years ago
Actually, I could see this in an 04/05 build when using the modern skin, but
not when using classic. (By any chance, did anyone see this work in modern, or 
was it always working if checked in classic?)

From bobj's screenshots, he was using modern. Or, rather, "FrankenModern",
the transiently broken modern skin. 

When I tried to reproduce this in today's build on win2k (where modern appears 
to be fixed again), using either modern or classic, this problem is gone.

So, was this just fallout from the broken modern skin? Does this work for you 
in today's windows builds Bob?
(Reporter)

Comment 24

18 years ago
No change.
Running trunk build 2001041004 on US Win95.
Classic Theme works fine.
(Reporter)

Comment 25

18 years ago
Tried trunk build 2001041604 on US Win95.
Modern Theme works now...  Marking WORKSFORME.
Status: NEW → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → WORKSFORME

Comment 26

18 years ago
invalids, wontfixes, dups, worksformes
Status: RESOLVED → VERIFIED

Updated

10 years ago
Component: XP Toolkit/Widgets: XUL → XUL
QA Contact: jrgmorrison → xptoolkit.widgets
You need to log in before you can comment on or make changes to this bug.